MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007022ardourbugspublic2016-09-11 08:092017-07-09 09:52
Reporterjmtrivial 
Assigned Tox42 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformamd64OSLinuxOS Versionsid
Product Version5.3 
Target VersionFixed in Version 
Summary0007022: Automation points are not moved with their associated region
DescriptionIn Ardour 4.x, when I move a region (see figure, par 1), the control points of the automation lane are move together with the region (see figure, part 2) even if the option "Move relevant automation when regions are moved" is checked on the preferences.

It appears that this functionality is not working on ardour 5.x. This bug has been confirmed by 3 people on the freenode chat.
Steps To Reproduce1/ open a new project
2/ import an existing media (it creates a track)
3/ add a plugin on this new track
4/ use the automation (play mode) and add some control points for one of the parameters of the plugin
5/ move the region corresponding to the imported media

Expected: control points in the automation lane are moved

What appends: these points are not moving
TagsNo tags attached.
Attached Filespng file icon ardour.png [^] (69,109 bytes) 2016-09-11 08:09

- Relationships

-  Notes
(0018729)
timbyr (developer)
2016-09-30 16:42

I can reproduce this issue in 5.3 and 5.3.362
(0019564)
x42 (administrator)
2017-03-27 08:11

I just tried and can not reproduce this in 5.8.219

I'm unclear about step (4) though. I did use the draw tool to add some points and the move with the region (regardless of the automatio-mode)
Also automation recorded with "write" or "touch" does move.

Is this still an issue with Ardour 5.8?
(0019568)
jmtrivial (reporter)
2017-03-31 02:15

I can reproduce this issue in 5.5.0 (last available version in debian unstable). I don't know for 5.8.
(0019569)
x42 (administrator)
2017-03-31 03:18

Yes, I can reproduce it in 5.5.0, but not in 5.8.
(0019874)
jmtrivial (reporter)
2017-07-09 09:51

The bug seems to be fixed in 5.10.

- Issue History
Date Modified Username Field Change
2016-09-11 08:09 jmtrivial New Issue
2016-09-11 08:09 jmtrivial File Added: ardour.png
2016-09-30 16:42 timbyr Note Added: 0018729
2016-09-30 16:42 timbyr Status new => confirmed
2017-03-27 08:11 x42 Note Added: 0019564
2017-03-27 08:11 x42 Assigned To => x42
2017-03-27 08:11 x42 Status confirmed => feedback
2017-03-31 02:15 jmtrivial Note Added: 0019568
2017-03-31 02:15 jmtrivial Status feedback => assigned
2017-03-31 03:18 x42 Note Added: 0019569
2017-07-09 09:51 jmtrivial Note Added: 0019874
2017-07-09 09:52 jmtrivial Status assigned => closed
2017-07-09 09:52 jmtrivial Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker